Update an equipment type
https://carchost.fieldcontrol.com.br/equipment-types/{id}Updates an equipment type. The body follows the same rules as creation.
Requires the
X-Api-Key,User-AgentandContent-Type: application/jsonheaders. Limit: 1 request per second (learn more).
Request
Path parameters
idstringrequiredEquipment type identifier.
Example: NDFkNzk3MDctZDI3Yy00ZTM1LWJmZGQtYTNhMTUwNzEwNmNkOjIyOTE1.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Request body
JSON, sent with the Content-Type: application/json header.
namestringrequiredEquipment type name. Must be unique in the account, case-insensitive.
From 3 to 100 characters.
archivedbooleanArchives the equipment type.
Default: false.
externalobjectFields of external
idstringEquipment type identifier in your system.
Up to 100 characters.Accepts: null.
Responses
- 200
Equipment type updated.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 404
Resource not found. The response body is empty.
- 409
An equipment type with the same name already exists in the account, including archived ones (resourceAlreadyExists).
- 422
Invalid body (resourceValidationErr). An invalid identifier, or one from another account, in the URL also returns this error, with
property: '@.id'. - 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.